Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core
Interface IModelChangeProvider

All Known Subinterfaces:
  IBuildModel, IExtensionsModel, IFragmentModel, IPluginModel, IPluginModelBase, ISharedExtensionsModel, ISharedPluginModel

public interface IModelChangeProvider

Classes that implement this interface are capable of notifying listeners about model changes. Interested parties should implement `IModelChangedListener` and add as listeners to be able to receive change notification.

Since:
  2.0

Method Summary
`void` | `addModelChangedListener(IModelChangedListener listener)` Adds the listener to the list of listeners that will be notified on model changes.
`void` | `fireModelChanged(IModelChangedEvent event)` Delivers change event to all the registered listeners.
`void` | `fireModelObjectChanged(Object object, String property, Object oldValue, Object newValue)` Notifies listeners that a property of a model object changed.
`void` | `removeModelChangedListener(IModelChangedListener listener)` Takes the listener off the list of registered change listeners.

Method Detail

### addModelChangedListener

    public void addModelChangedListener(IModelChangedListener listener)

  Adds the listener to the list of listeners that will be notified on model changes.

  Parameters:
    `listener` - a model change listener to be added

### fireModelChanged

    public void fireModelChanged(IModelChangedEvent event)

  Delivers change event to all the registered listeners.

  Parameters:
    `event` - a change event that will be passed to all the listeners

### fireModelObjectChanged

    public void fireModelObjectChanged(Object object,
                                       String property,
                                       Object oldValue,
                                       Object newValue)

  Notifies listeners that a property of a model object changed. This is a utility method that will create a model event and fire it.

  Parameters:
    `object` - an affected model object
    `property` - name of the property that has changed
    `oldValue` - the old value of the property
    `newValue` - the new value of the property

### removeModelChangedListener

    public void removeModelChangedListener(IModelChangedListener listener)

  Takes the listener off the list of registered change listeners.

  Parameters:
    `listener` - a model change listener to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.